---
filename: /packages/material-ui/src/TextareaAutosize/TextareaAutosize.js
---

<!--- This documentation is automatically generated, do not try to edit it. -->

# TextareaAutosize API

<p class="description">The API documentation of the TextareaAutosize React component. Learn more about the props and the CSS customization points.</p>

## Import

```js
import TextareaAutosize from '@material-ui/core/TextareaAutosize';
// or
import { TextareaAutosize } from '@material-ui/core';
```

You can learn more about the difference by [reading this guide](/guides/minimizing-bundle-size/).





## Props

| Name | Type | Default | Description |
|:-----|:-----|:--------|:------------|
| <span class="prop-name">maxRows</span> | <span class="prop-type">number<br>&#124;&nbsp;string</span> |  | Maximum number of rows to display. |
| <span class="prop-name">minRows</span> | <span class="prop-type">number<br>&#124;&nbsp;string</span> | <span class="prop-default">1</span> | Minimum number of rows to display. |
| ~~<span class="prop-name">rows</span>~~ | <span class="prop-type">oneOfType([PropTypes.number</span> |  | *Deprecated*. Use `rowsMin` instead.<br><br>Minimum number of rows to display. |
| ~~<span class="prop-name">rowsMax</span>~~ | <span class="prop-type">oneOfType([PropTypes.number</span> |  | *Deprecated*. Use `maxRows` instead.<br><br>Maximum number of rows to display. |
| ~~<span class="prop-name">rowsMin</span>~~ | <span class="prop-type">oneOfType([PropTypes.number</span> |  | *Deprecated*. Use `minRows` instead.<br><br>Minimum number of rows to display. |

The `ref` is forwarded to the root element.

Any other props supplied will be provided to the root element (native element).

## Demos

- [Textarea Autosize](/components/textarea-autosize/)

