# Careers at Material-UI

<p class="description">We build the next generation of tools for UI development. Material-UI is focused on making React UI development faster, simpler, and accessible to more people.</p>

The open-source project started back in 2014 to unify React and Material Design. Today, Material-UI has grown to become one of the world's most popular React UI libraries, backed by a vibrant community of more than 2M developers in over 180 countries.

The company is bootstrapped (so far). It was incorporated in mid-2019 and yet growing fast (x2-3 YoY). We doubled the team in 2020 and are on track to do the same in 2021.

If you're interested to learn more about how we run our company, check out our [public Handbook](https://www.notion.so/Handbook-f086d47e10794d5e839aef9dc67f324b).

## Our values

- **Customer obsessed**. We put our customers front & center. We focus on delivering web experiences that feel amazing. We ask questions. We experiment with new ideas.
- **Transparency**. Most of our work is public. We share what we work on regularly in the open. We collect feedback as soon and as frequently as possible. We learn from each other and
grow from it.
- **Freedom**. We work from anywhere in the world. We keep meetings to a minimum, preferring asynchronous and written communication.
- **Autonomy**. We want to create a safe, high-trust team. We want you to be able to feel invested in your work and proud of it.
- **Excellence**. We're aiming high, and we know it. Even the smallest details are important to us. We only want the best for each other and our customers.

## Perks & benefits

- **Remote**: Our entire company is distributed.
- **Gatherings**: We meet up once or twice a year for a short week of meetings, events, and fun!
- **Equipment**: Material-UI will let you choose new hardware of your choice (up to $2,500 USD).
- **Flexible hours**: We work from different time zones. When the work is done doesn't really matter.
- **Time off**: We provide five weeks of paid time off.

## Open roles

We're currently looking for help in the following areas:

### Engineering

#### [Software Engineer Intern](/company/software-engineer-intern/)

We're looking for software engineering intern to help support our open-source library, assist the Material-UI community, and help us build new components.

## Future roles

In the future, we will need to fill the following positions. If you don't want to wait for the positions to be opened, you can jump ahead and submit an [open application](https://airtable.com/shr9JdBSiE6noobhc).

### Engineering

- No plans yet

### Product

- **Technical Product Manager**. You'll be combining customer feedback with the goals of the business to manage our roadmap and determine the next killer features. You'll work with our design, engineering and marketing teams to see those features through the entire development -> marketing cycle. You'll focus on measuring and driving adoption, and conversion across our funnel.
- **Developer Advocate**. Educate on the latest Material-UI features, craft high-quality examples and demos, engage with the community. Write documentation, and advocate for creating faster and more appealing UIs.
- **Product Designer**. Design is critical to the success of our mission. We will be looking for skills that complement our lead designer. It could be a graphic designer or a UX expert for instance, depending on our exact needs.

### Operations

- **Head of talent**. Recruit an exceptional team and lay the foundations for a modern corporation.
We will be looking for a self-starter who acts as a strategic designer, builder, and champion for our engineering-centric and customer-oriented culture. They will serve as part of the company’s leadership team, collaborating to continuously evolve our high-performance, high-engagement crew.

### Customer Success

- **Support Engineer**. Ensure that our users wildly succeed on their journey with Material-UI. You’ll directly work with users, customers, and potential customers to unblock them from using the products, triage and resolve issues, and use this direct feedback to drive direct improvements in Material-UI.

## FAQs

### Are there application deadlines?

No. If a job is visible on our careers page, then you can still apply.

### Does Material-UI do whiteboarding during interviews?

No. We ask applicants to complete challenges that are close to their future day-to-day contributions.

### Does Material-UI offer contractor job opportunities?

Yes. People outside of France will be hired as full-time contractors. (Benefits may vary.)
