# サポート

<p class="description">コミュニティヘルプからプレミアムクリティカルなビジネスサポートまで、お手伝いいたします。</p>

## コミュニティヘルプ (無料)

フレームワークにかんする質問やアドバイスをしたいと思ったら、まず初めにコミュニティへ行きましょう。 コミュニティにようこそ！

### StackOverflow <img src="/static/images/logos/stackoverflow.svg" width="24" height="24" alt="StackOverflow logo" loading="lazy" />

For crowdsourced technical questions from expert Material-UI devs in our community. Also frequented by the Material-UI core team.

[質問を投稿する](https://stackoverflow.com/questions/tagged/material-ui)

### GitHub<img src="/static/images/logos/github.svg" width="24" height="24" alt="GitHub logo" loading="lazy" />

バグや機能要求の目的でのみGitHubのIssueを使用しています。 バグや機能要求の目的でのみGitHubのIssueを使用しています。 バグを発見したと思われる場合、または新しく追加して欲しい機能を提案したい場合。 [これまでに同様な点が報告されていないか](https://github.com/mui-org/material-ui/issues?utf8=%E2%9C%93&q=is%3Aopen+is%3Aclosed)修正されていないか確認してください。 既存の課題やプルリクエストを検索して、誰かが自分に似たようなものを報告しているかどうかを確認できます。 既存の課題やプルリクエストを検索して、誰かが自分に似たようなものを報告しているかどうかを確認できます。

[Issueを開く](https://github.com/mui-org/material-ui/issues/new/choose)

#### 新しいIssueガイドライン

- Issueを作る際には以下のテンプレートに従ってください。
- '[ComponentName]' でタイトルを始め、他の人が同様の問題を見つけるのに役立つ簡潔な説明を使用してください。 
  - "動作しません" ❌
  - "[Button] サポートを追加 <some feature>" ✅
- 1つのIssueに複数のトピックを含まないでください。それぞれのトピックにつき一つのIssueを作成してください。
- Issueに "+1" をコメントしないでください。 それはIssueを解決させる役に立ちません。管理者にとって好ましくありません。 代わりに GitHub リアクションを使用してください (👍)

### ブログ 📝

以下のブログを読むことでライブラリの開発についての近況を知ることができます。

[最新の記事を読む](https://medium.com/material-ui/)

### 参考資料 📖

Material-UIは初めてですか？ 何から始めればいいのかを知っていれば、簡単に習得できますよ!

[Material-UIを学ぶ](/getting-started/learn/)

### Twitter<img src="/static/images/logos/twitter.svg" width="24" height="24" alt="Twitter logo" loading="lazy" />

Material-UIの最新ニュースを受け取る

[フォローする](https://twitter.com/MaterialUI)

### サポートされているバージョン

Material-UI CE (Community Edition) は、最初から100%オープンソース (MITライセンス) であり、常にそうです。 Developers can ensure Material-UI is the right choice for their React applications through Material-UI’s community maintenance strategy. Developers can ensure Material-UI is the right choice for their React applications through Material-UI’s community maintenance strategy. The Material-UI team regularly ships new releases, bug fixes, and is very welcoming to community pull requests.

Given the reality of time and resource constraints, as well as the desire to keep innovating, over time it becomes necessary to shift focus to newer versions of the framework ([our release schedule](https://material-ui.com/versions/#release-frequency)), while making the transition to newer versions as smooth as possible, including publishing migration guides such as [this one for v4](/guides/migration-v3/). The open-source community is always welcome to submit new features and bug fixes as well.

The current status of each Material-UI version is as follows:

- Material-UI v5 (emotion): ✅ 開発継続中
- Material-UI v3 (change supported browsers): ⚠️ Only handle security fixes.
- Material-UI v3 (change supported browsers): ❌ 開発終了
- ~Material-UI v2 (never existed)~.
- Material-UI v1 (rewrite): ❌ Inactive.
- Material-UI v0.x: ❌ Inactive.

For teams and organizations that require additional support for older versions, Material-UI has [options available](#enterprise).

## Professional support (premium)

### Tidelift subscription <img src="/static/images/logos/tidelift.svg" width="24" height="24" alt="Tidelift logo" loading="lazy" />

Material-UI and the maintainers of thousands of other packages are working with Tidelift to deliver one enterprise subscription that covers all of the open-source you use.

If you want the flexibility of open-source and the confidence of commercial-grade software, this is worth looking at.

The Tidelift Subscription manages your dependencies for you:

- Get the tools you need to continuously catalog and understand the open-source software that your application depends on.
- Your subscription helps pay the open-source community maintainers of the packages you use, to ensure they meet the standards you require.
- Address issues proactively, with tools that scan for new security, licensing, and maintenance issues, and alert participating open-source maintainers so they can resolve them on your behalf.
- Tidelift helps measure and improve your open-source dependencies' health – which improves your app's health – and gives a shortlist of high-impact steps your team can take to improve them even more.
- Get commercial assurances that don't come for free with open-source packages, such as intellectual property indemnification and support under a service level agreement. You expect these guarantees from proprietary software, and you can get them when using open-source as well.

The end result? All of the capabilities you expect from commercial-grade software, for the full breadth of open-source you use. That means less time grappling with esoteric open-source trivia, and more time building your own applications – and your business.

<a
  data-ga-event-category="support"
  data-ga-event-action="tidelift"
  href="https://tidelift.com/subscription/pkg/npm-material-ui?utm_source=npm-material-ui&utm_medium=referral&utm_campaign=enterprise"> Get more details </a>

<a
  data-ga-event-category="support"
  data-ga-event-action="tidelift"
  href="https://tidelift.com/subscription/request-a-demo?utm_source=npm-material-ui&utm_medium=referral&utm_campaign=enterprise"> Request a demo </a>

### Custom work 🛠

Tweak Material-UI to meet specific requirements. We might: Give us a summary of your needs and we'll help you if we can. We might: Give us a summary of your needs and we'll help you if we can.

- Give you an estimate of time and price if the work is straightforward
- Suggest alternatives that might not require Material-UI
- Decline the work due to timing or relevancy

Note that work must be Material-UI related. We don't accept general React development work. Our contracting price is $200/hour or $1,500/day.

[Send us an email](mailto:custom-work@material-ui.com)